<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

header('Content-Type: text/html; charset=UTF-8');
session_start();

define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');

$inCore = cmsCore::getInstance();

$inCore->loadClass('db');
$inCore->loadClass('user');

$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();

$inUser->update();

if (!$inUser->id) { die(); }

$cat_id = $inCore->request('cat_id', 'int', 0);
$item_id = $inCore->request('item_id', 'int', 0);
$photoname = $inCore->request('photoname', 'str', 0);
$is_objekt = $_REQUEST['is_objekt'];

if(!$cat_id || !$item_id || !$photoname){die();}

//если основное фото, удаляем с базы
if($is_objekt == 'true'){
  $table = '`cms_poster_objekts`';
}else{ $table = '`cms_poster_events`'; }
$basic_photo = $inDB->get_field($table, "id = '{$item_id}'", 'basic_photo');
if($basic_photo == $photoname ){
   $inDB->query("UPDATE {$table}
                 SET basic_photo = ''
                 WHERE id = '{$item_id}'");
}

//каталог объекта начинается на 'obj_'
if($is_objekt == 'true'){ $cat = 'obj_'; }else{$cat = '';}
if(preg_match('/\.jpg$/is', $photoname) == 0){die();}

if(@unlink(PATH."/images/poster/small/{$cat}{$item_id}/{$photoname}") &&
@unlink(PATH."/images/poster/medium/{$cat}{$item_id}/{$photoname}")){
echo '<p>Фотография успешно удалена</p>';
}

return;
?>
