<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

class cms_model_poster{

    function __construct(){
        $this->inDB = cmsDatabase::getInstance();

    }

    public function install(){

        return true;

    }
    
    
    public function addObjekt($newobjekt){

        $sql ="INSERT INTO `cms_poster_objekts` (cat_id, owner_id, title, addr_city,
                                                 addr_prefix, addr_street, addr_house,
                                                 phone,  website, shortdesc, description,
                                                 seolink, basic_photo,rating, rating_votes, inmaps_id)
             VALUES ('{$newobjekt['cat_id']}', '{$newobjekt['owner_id']}', '{$newobjekt['title']}',
             '{$newobjekt['addr_city']}', '{$newobjekt['addr_prefix']}', '{$newobjekt['addr_street']}',
             '{$newobjekt['addr_house']}', '{$newobjekt['phone']}', '{$newobjekt['website']}',
             '{$newobjekt['shortdesc']}', '{$newobjekt['description']}', '', '',0, 0, '{$newobjekt['inmaps_id']}')";
             
        $this->inDB->query($sql) ;
        
        $newobjekt['id'] = $this->inDB->get_last_id('cms_poster_objekts');

        if($newobjekt['id']){

          $newobjekt['seolink'] = cmsCore::strToURL($newobjekt['title']);
          $this->inDB->query("UPDATE `cms_poster_objekts`
                              SET seolink='{$newobjekt['seolink']}'
                              WHERE id = '{$newobjekt['id']}'");

        }

        return $newobjekt['id'] ? $newobjekt['id'] : false;

    }
    
    public function updateObjekt($newobjekt){
   
        $title = $this->inDB->get_field('`cms_poster_objekts`', "id = '{$newobjekt['id']}'", 'title');

        $sql = "UPDATE `cms_poster_objekts`
                SET title = '{$newobjekt['title']}',
                    cat_id = '{$newobjekt['cat_id']}',
                    owner_id = '{$newobjekt['owner_id']}',
                    addr_city = '{$newobjekt['addr_city']}',
                    addr_prefix = '{$newobjekt['addr_prefix']}',
                    addr_street = '{$newobjekt['addr_street']}',
                    addr_house =  '{$newobjekt['addr_house']}',
                    phone =  '{$newobjekt['phone']}',
                    website = '{$newobjekt['website']}',
                    shortdesc = '{$newobjekt['shortdesc']}',
                    description = '{$newobjekt['description']}'
                WHERE id = '{$newobjekt['id']}'";

        $this->inDB->query($sql) ;
        //проверяем и если нужно обновляем сеолинк
        if($title != $newobjekt['title']){

            $newobjekt['seolink'] = cmsCore::strToURL($newobjekt['title']);
            $this->inDB->query("UPDATE `cms_poster_objekts`
                                SET seolink='{$newobjekt['seolink']}'
                                WHERE id = '{$newobjekt['id']}'");

        }
    }
    
    public function addEvent($newevent){

        $sql = "INSERT INTO `cms_poster_events` (cat_id, author_id, title, pubdate,
                                                 video_code, shortdesc, description,
                                                 seolink, basic_photo, rating, rating_votes)
                VALUES('{$newevent['cat_id']}', '{$newevent['author_id']}', '{$newevent['title']}',
                        NOW(), '{$newevent['video_code']}', '{$newevent['shortdesc']}',
                        '{$newevent['description']}', '', '', 0, 0)";

        $this->inDB->query($sql) ;

        $newevent['id'] = $this->inDB->get_last_id('cms_poster_events');

        if($newevent['id']){
          cmsInsertTags($newevent['tags'], 'posterevent', $newevent['id']);
          $newevent['seolink'] = cmsCore::strToURL($newevent['title']);
          $this->inDB->query("UPDATE `cms_poster_events`
                              SET seolink='{$newevent['seolink']}'
                              WHERE id = '{$newevent['id']}'");

        }

        return $newevent['id'] ? $newevent['id'] : false;

    }
    
    public function updateEvent($newevent){
        $title = $this->inDB->get_field('`cms_poster_events`', "id = '{$newevent['id']}'", 'title');

        $sql = "UPDATE `cms_poster_events`
                SET title = '{$newevent['title']}',
                    author_id = '{$newevent['author_id']}',
                    cat_id = '{$newevent['cat_id']}',
                    video_code = '{$newevent['video_code']}',
                    shortdesc = '{$newevent['shortdesc']}',
                    description = '{$newevent['description']}'
               WHERE id = '{$newevent['id']}'";

        $this->inDB->query($sql) ;
        //обновляем теги
        cmsInsertTags($newevent['tags'], 'posterevent', $newevent['id']);
        //проверяем и если нужно обновляем сеолинк
        if($title != $newevent['title']){

            $newevent['seolink'] = cmsCore::strToURL($newevent['title']);
            $this->inDB->query("UPDATE `cms_poster_events`
                                SET seolink='{$newevent['seolink']}'
                                WHERE id = '{$newevent['id']}'");

        }

    }

    public function addBasicPhoto($item_id, $filename, $is_objekt=true){

        if($is_objekt){
          $table = '`cms_poster_objekts`';
        }else{ $table = '`cms_poster_events`'; }
        $this->inDB->query( "UPDATE {$table}
                            SET basic_photo = '{$filename}'
                            WHERE id = '{$item_id}'");


    }
    
    public function addCategory($cat, $type='objekt'){
          $table = '`cms_poster_objcats`';
          if($type == 'event'){
             $table = '`cms_poster_eventcats`';
          }
          $sql = "INSERT INTO {$table} (title, description, access_list, editors, ordering, published, cat_config)
                  VALUES ('{$cat['title']}', '{$cat['description']}', '{$cat['showfor']}', '{$cat['editors']}',
                         1, 1, '{$cat['cat_config']}')";
        $this->inDB->query($sql) ;

        $cat['id'] = $this->inDB->get_last_id("{$table}");

        if($cat['id']){

          $cat['seolink'] = cmsCore::strToURL($cat['title']);
          $this->inDB->query("UPDATE {$table}
                              SET seolink='{$cat['seolink']}'
                              WHERE id = '{$cat['id']}'");

        }

        return $cat['id'] ? $cat['id'] : false;

    }
    
    public function updateCategory($id, $cat, $type='objekt'){

          $table = '`cms_poster_objcats`';
          if($type == 'event'){
             $table = '`cms_poster_eventcats`';
          }
          $title = $this->inDB->get_field("{$table}", "id = '{$id}'", 'title');
          $sql = "UPDATE {$table}
                  SET title='{$cat['title']}',
                      description = '{$cat['description']}',
                      access_list='{$cat['showfor']}',
                      editors='{$cat['editors']}',
                      published='{$cat['published']}',
                      cat_config='{$cat['cat_config']}'
                  WHERE id = '{$id}'";

          $this->inDB->query($sql) ;
        //проверяем и если нужно обновляем сеолинк
        
        if($title != $cat['title']){

            $cat['seolink'] = cmsCore::strToURL($cat['title']);
            $this->inDB->query("UPDATE {$table}
                                SET seolink='{$cat['seolink']}'
                                WHERE id = '{$id}'");

        }
    }
    
    public function getItem($item_id, $type = 'objekt', $is_admin){

          $table = '`cms_poster_objekts`';
          $cat_table =  '`cms_poster_objcats`';
          if($type == 'event'){
             $table = '`cms_poster_events`';
             $cat_table =  '`cms_poster_eventcats`';
          }
          if(!$is_admin){
             $admin_where = 'AND t.published=1 AND ct.published=1';
          }else{ $admin_where = '';}

          $sql = "SELECT t.*, ct.seolink as cat_seolink
                  FROM {$table} t
                  LEFT JOIN  {$cat_table} ct ON ct.id = t.cat_id
                  WHERE t.id = '{$item_id}' {$admin_where}
                  LIMIT 1";

          $result = $this->inDB->query($sql);
          if(!$this->inDB->num_rows($result)){return false;}
          $item = array();
          $item = $this->inDB->fetch_assoc($result);

          return $item;
    }

    public function getItemShort($item_id, $type = 'objekt', $is_admin=false){

          $table = '`cms_poster_objekts`';
          $cat_table = '`cms_poster_objcats`';
          $owner_id = 'owner_id';
          if($type == 'event'){
             $table = '`cms_poster_events`';
             $cat_table = '`cms_poster_eventcats`';
             $owner_id = 'author_id';
          }
          if(!$is_admin){
             $admin_where = 'AND t.published=1 AND ct.published=1';
          }else{ $admin_where = '';}

          $sql = "SELECT t.id, t.cat_id, t.{$owner_id}, t.title, t.seolink, ct.seolink as cat_seolink, ct.cat_config
                  FROM {$table} t
                  LEFT JOIN  {$cat_table} ct ON ct.id = t.cat_id
                  WHERE t.id = '{$item_id}' {$admin_where}
                  LIMIT 1";

          $result = $this->inDB->query($sql);
          if(!$this->inDB->num_rows($result)){return false;}
          $item = array();
          $item = $this->inDB->fetch_assoc($result);

          return $item;
    }
    
    public function getItemBySeolink($seolink, $cat_seolink, $type='objekt', $is_admin=false){
           $table = '`cms_poster_objekts`';
           $cat_table = '`cms_poster_objcats`';
          if($type == 'event'){
             $table = '`cms_poster_events`';
             $cat_table = '`cms_poster_eventcats`';
          }
          if(!$is_admin){
             $admin_where = 'AND t.published=1 AND ct.published=1';
          }else{ $admin_where = '';}

          $sql = "SELECT t.*, ct.access_list, ct.editors, ct.title as cat_title, ct.cat_config
                  FROM {$table} t
                  LEFT JOIN  {$cat_table} ct ON ct.id = t.cat_id
                  WHERE t.seolink = '{$seolink}' AND ct.seolink = '{$cat_seolink}' {$admin_where}
                  LIMIT 1";

          $result = $this->inDB->query($sql);
          if(!$this->inDB->num_rows($result)){return false;}
          $item = array();
          $item = $this->inDB->fetch_assoc($result);

          return $item;
    }
    
    public function getTable($fields, $type='objekt'){

          $table = '`cms_poster_objekts`';
          if($type == 'event'){ $table = '`cms_poster_events`'; }
          $sql = "SELECT $fields
                  FROM {$table}
                  WHERE 1=1";

          $result = $this->inDB->query($sql);
          if(!$this->inDB->num_rows($result)){return false;}
          $list = array();
          while($item = $this->inDB->fetch_assoc($result)){
             $list[] = $item;
          }

          return $list;
                  
    }
    
    public function getBinds($item_id, $type='objekt', $date='', $last=false){

          $where = "objekt_id = '{$item_id}'";
          $table = '`cms_poster_events`';
          $cat_table = '`cms_poster_eventcats`';
          $on = "i.id = b.event_id";
          if($type == 'event'){
            $where = "event_id = '{$item_id}'";
            $table = '`cms_poster_objekts`';
            $cat_table = '`cms_poster_objcats`';
            $on = "i.id = b.objekt_id";
          }
          if($date){
              if($last){
                 $where .= " AND b.end_date < DATE_FORMAT('{$date}','%Y-%m-%d')";
              }else{
                 $where .= " AND b.end_date >= DATE_FORMAT('{$date}','%Y-%m-%d')";
              }
          }
          
          $sql ="SELECT b.* , i.title, i.id as opposite_id, i.seolink, ct.seolink as cat_seolink
                 FROM `cms_poster_bind` b
                 LEFT JOIN {$table} i ON $on
                 LEFT JOIN {$cat_table} ct ON ct.id = i.cat_id
                 WHERE {$where} AND i.published=1 AND ct.published=1";
          $result = $this->inDB->query($sql);
          if(!$this->inDB->num_rows($result)){return false;}
          $binds = array();
          while($bind = $this->inDB->fetch_assoc($result)){
            //преобразуем дату
            $bind['start_date'] = date('d-m-Y', strtotime($bind['start_date']));
            $bind['end_date'] = date('d-m-Y', strtotime($bind['end_date']));
            $binds[] = $bind;
          }
          return  $binds;
    }

    public function getBind($item_id, $opposite_id, $type='objekt'){

        $where = "objekt_id='{$item_id}' AND event_id='{$opposite_id}'";
        if($type == 'event'){
            $where = "objekt_id='{$opposite_id}' AND event_id='{$item_id}'";
        }
        $sql = "SELECT *
                FROM `cms_poster_bind`
                WHERE $where
                LIMIT 1";
        $result = $this->inDB->query($sql);
        if(!$this->inDB->num_rows($result)){return false;}
        $bind = array();
        //преобразуем дату
        $bind['start_date'] = date('d-m-Y', strtotime($bind['start_date']));
        $bind['end_date'] = date('d-m-Y', strtotime($bind['end_date']));
        $bind =  $this->inDB->fetch_assoc($result);
        
        return $bind;
    }
    
    public function getBindsAll($start_date, $end_date){
        $start_date = date('Y-m-d', strtotime($start_date));
        $end_date = date('Y-m-d', strtotime($end_date));

        $sql ="SELECT DATE_FORMAT(start_date, '%d-%m-%Y')as start_date, DATE_FORMAT(end_date, '%d-%m-%Y') as end_date,
               time_list, all_days
               FROM `cms_poster_bind`
               WHERE start_date <= '{$end_date}' AND end_date >= '{$start_date}'";
        $result = $this->inDB->query($sql);
        if(!$this->inDB->num_rows($result)){ return false; }
        $binds = array();
        while($bind = $this->inDB->fetch_assoc($result)){
            $binds[] = $bind;
        }
        return $binds;
    }
    
    public function addBind($item_id, $opposite_id, $start_date, $end_date,$time_list, $type, $all_days=0){
          if($type == 'objekt'){
                $objekt_id = $item_id;
                $event_id =  $opposite_id;
          }
           if($type == 'event'){
                $objekt_id = $opposite_id;
                $event_id =  $item_id;
          }
          if(!$objekt_id ||!$event_id || !$start_date || !$end_date){ return false; }

          //преобразуем дату
          $start_date = date('Y-m-d', strtotime($start_date));
          $end_date = date('Y-m-d', strtotime($end_date));
          
          //проверяем есть ли привязка
          $bind_id = $this->inDB->get_field('`cms_poster_bind`', "objekt_id='{$objekt_id}' AND event_id='{$event_id}'", 'id');
          if($bind_id){
             $sql = "UPDATE `cms_poster_bind`
                     SET start_date = '{$start_date}',
                         end_date = '{$end_date}',
                         time_list = '{$time_list}',
                         all_days = '{$all_days}'
                     WHERE id = '{$bind_id}'";
              $this->inDB->query($sql) ;

          }else{
          
             $sql = "INSERT INTO `cms_poster_bind` (event_id, objekt_id, start_date, end_date,
                                                time_list, all_days)
                     VALUE ('{$event_id}', '{$objekt_id}', '{$start_date}', '{$end_date}',
                         '{$time_list}', '{$all_days}')";
          
             $this->inDB->query($sql) ;

             $bind_id = $this->inDB->get_last_id('cms_poster_bind');
          }
          return $bind_id ? $bind_id : false;

    }
    
    public function deleteBind($bind_id){
          $sql = "DELETE
                  FROM `cms_poster_bind`
                  WHERE id = {$bind_id}";
          $this->inDB->query($sql) ;
          return true;
    }
    
    public function getCategory($cat_id, $type='objekt'){
          $category = array();
          $table = '`cms_poster_objcats`';
          if($type == 'event'){ $table = '`cms_poster_eventcats`'; }

          $sql = "SELECT *
                  FROM $table
                  WHERE id = '{$cat_id}' AND published=1
                  LIMIT 1";

          $result = $this->inDB->query($sql) ;
          if(!$this->inDB->num_rows($result)){return false;}
          $category =  $this->inDB->fetch_assoc($result);
          
          return $category;
    }

    public function getCategoryBySeolink($cat_seolink, $type='objekt'){
          $category = array();
          $table = '`cms_poster_objcats`';
          if($type == 'event'){ $table = '`cms_poster_eventcats`'; }

          $sql = "SELECT *
                  FROM $table
                  WHERE seolink = '{$cat_seolink}'
                  LIMIT 1";

          $result = $this->inDB->query($sql) ;
          if(!$this->inDB->num_rows($result)){return false;}
          $category =  $this->inDB->fetch_assoc($result);

          return $category;

    }
    
    public function getEventsByDate($cat_id, $date='',$start_date='', $end_date='', $orient='', $orderby='ordering', $orderto='ASC', $city='', $all = false){
          if($date && !$orient && !$start_date && !$end_date){
            $date = date('Y-m-d', strtotime($date));
            $where = "(b.start_date<= '{$date}' AND b.end_date >='{$date}')";
          }
          if($date && $orient=='soon' && !$start_date && !$end_date){
             $where ="(b.start_date > DATE_FORMAT(NOW(),'%Y-%m-%d'))";
          }
          if($date && $orient=='archive' && !$start_date && !$end_date){
             $where ="(b.end_date < DATE_FORMAT(NOW(),'%Y-%m-%d'))";
          }
          if($date && $orient=='today' && !$start_date && !$end_date){
             $where ="(b.start_date <= DATE_FORMAT(NOW(),'%Y-%m-%d') AND b.end_date >= DATE_FORMAT(NOW(),'%Y-%m-%d'))";
          }
          if(!$date && !$orient && $start_date && $end_date){
              $start_date = date('Y-m-d', strtotime($start_date));
              $end_date = date('Y-m-d', strtotime($end_date));
              $where = "((b.end_date>= '{$start_date}' AND b.start_date<= '{$end_date}'))";
          }
          if($city){
              $where .= " AND o.addr_city='{$city}'";
          }
          if(!$all){
              $cat_where =  "e.cat_id='{$cat_id}' AND ";
          }else{
               $cat_where = '';
          }
          
          $orderby = 'e.'.$orderby;
          $sql = "SELECT e.id, ec.seolink as cat_seolink, e.author_id, e.title, e.seolink, e.shortdesc, e.basic_photo, e.rating, e.rating_votes,
                         b.id as bind_id, b.time_list, b.all_days, b.objekt_id, DATE_FORMAT(b.start_date, '%d-%m-%Y') as start_date,
                         DATE_FORMAT(b.end_date, '%d-%m-%Y') as end_date, o.title as objekt_title, o.seolink as objekt_seolink,
                         oc.seolink as objekt_cat_seolink
                  FROM `cms_poster_events` e
                  INNER JOIN `cms_poster_bind` b ON b.event_id=e.id
                  LEFT JOIN `cms_poster_eventcats` ec ON ec.id = e.cat_id
                  LEFT JOIN `cms_poster_objekts` o ON o.id=b.objekt_id
                  LEFT JOIN `cms_poster_objcats` oc ON oc.id=o.cat_id
                  WHERE {$cat_where} {$where} AND e.published=1 AND o.published=1 AND oc.published=1
                  ORDER BY e.cat_id, {$orderby} {$orderto}";

          $result = $this->inDB->query($sql) ;
          if(!$this->inDB->num_rows($result)){return false;}
          $events = array();
          while($event = $this->inDB->fetch_assoc($result)){
               $events[] = $event;
          }
          
          return  $events;
    }
    
    public function getCategoriesList($type='objekt', $orderby='ordering',$orderto='ASC'){
           $table = '`cms_poster_objcats`';
           if($type == 'event'){ $table = '`cms_poster_eventcats`'; }
           $cat_list = array();
           $sql = "SELECT id , title, seolink, ordering
                   FROM {$table}
                   WHERE 1=1
                   ORDER BY {$orderby} {$orderto}";
           $result = $this->inDB->query($sql) ;
           if(!$this->inDB->num_rows($result)){return false;}
           while($item = $this->inDB->fetch_assoc($result)){
               $cat_list[] = $item;
           }

         return $cat_list;
    }
    
    public function getItemsCount($cat_id = 0, $type='objekt'){
          $table = '`cms_poster_objekts`';
          $where = '1=1';
          if($cat_id){ $where = "i.cat_id = $cat_id"; }
          if($type == 'event'){ $table = '`cms_poster_events`'; }

          $sql = "SELECT 1
                  FROM {$table} i
                  WHERE {$where}";
                  
          $result = $this->inDB->query($sql);

          return $this->inDB->num_rows($result);
    }
    
    public function getItems($cat_id=0, $type='objekt',$orderby='ordering', $orderto='ASC', $page=0, $perpage=0, $is_admin=false, $city=''){
          $table = '`cms_poster_objekts`';
          $cat_table = '`cms_poster_objcats`';
          $where = '1=1';
          if($cat_id){ $where = "i.cat_id = '{$cat_id}'"; }
          if($type == 'event'){
            $table = '`cms_poster_events`';
            $cat_table = '`cms_poster_eventcats`';
          }
          $limit = 100;
          if($page && $perpage){
             $limit = (($page-1)*$perpage).', '.$perpage;
          }
          if(!$is_admin){
               $admin_where = 'AND i.published=1 AND c.published=1';
          }else{ $admin_where = ''; }

          if(empty($orderby)){$orderby = 'ordering';}
          if(empty($orderto)){$orderto = 'ASC';}
          $orderby = 'i.'.$orderby;
          //добавляем выбор города
          if($type == 'event' && $city){
              $add_sql = "LEFT JOIN  `cms_poster_bind` b ON b.event_id = i.id
                          LEFT JOIN  `cms_poster_objekts` o ON o.id = b.objekt_id ";

              $where .= " AND o.addr_city = '{$city}'";
          }elseif($type == 'objekt' && $city){
              $where .= " AND i.addr_city = '{$city}'";
          }else{
               $add_sql = '';
          }

          $sql = "SELECT DISTINCT i.*, c.seolink as cat_seolink
                  FROM {$table} i
                  LEFT JOIN {$cat_table} c ON c.id = i.cat_id
                  {$add_sql}
                  WHERE {$where} {$admin_where}
                  ORDER BY {$orderby} {$orderto}
                  LIMIT {$limit}";

          $result = $this->inDB->query($sql);
          if(!$this->inDB->num_rows($result)){return false;}
          $list = array();
          while($item = $this->inDB->fetch_assoc($result)){
             $list[] = $item;
          }

          return $list;
          
    }
    
    public function moveItem($item_id, $cat_id, $dir, $type='objekt',$step=1) {
        $table = '`cms_poster_objekts`';
        if($type == 'event'){ $table = '`cms_poster_events`'; }
        
        $sign   = $dir>0 ? '+' : '-';

        $current = $this->inDB->get_field("{$table}", "id={$item_id}", 'ordering');

        if ($dir>0){
            //движение вверх
            //у элемента следующего за текущим нужно уменьшить порядковый номер
            $sql = "UPDATE {$table}
                    SET ordering = ordering-1
                    WHERE cat_id={$cat_id} AND ordering = ({$current}+1)
                    LIMIT 1";
            $this->inDB->query($sql);
        }
        if ($dir<0){
            //движение вниз
            //у элемента предшествующего текущему нужно увеличить порядковый номер
            $sql = "UPDATE {$table}
                    SET ordering = ordering+1
                    WHERE cat_id={$cat_id} AND ordering = ({$current}-1)
                    LIMIT 1";
            $this->inDB->query($sql);
        }

        $sql    = "UPDATE {$table}
                   SET ordering = ordering {$sign} {$step}
                   WHERE id={$item_id}";
        $this->inDB->query($sql);

        return true;

    }
    
    public function moveItemsToCat($items, $to_cat_id, $type='objekt'){
          if(!$items || !$to_cat_id){ return false; }
          $table = '`cms_poster_objekts`';
          if($type == 'event'){ $table = '`cms_poster_events`'; }
          if(is_array($items)){
               $items_str = implode(',', $items);
               $sql = "UPDATE {$table}
                       SET cat_id = {$to_cat_id}
                       WHERE id IN ({$items_str})";
                       
              $this->inDB->query($sql);
          }else{
               $sql = "UPDATE {$table}
                       SET cat_id = {$to_cat_id}
                       WHERE id = '{$items}'";

              $this->inDB->query($sql);

          }
    }
    
    public function moveCategory($cat_id, $dir, $type='objekt',$step=1){
        $table = '`cms_poster_objcats`';
        if($type == 'event'){ $table = '`cms_poster_eventcats`'; }

        $sign   = $dir>0 ? '+' : '-';

        $current = $this->inDB->get_field("{$table}", "id={$cat_id}", 'ordering');

        if ($dir>0){
            //движение вверх
            //у элемента следующего за текущим нужно уменьшить порядковый номер
            $sql = "UPDATE {$table}
                    SET ordering = ordering-1
                    WHERE ordering = ({$current}+1)
                    LIMIT 1";
            $this->inDB->query($sql);
        }
        if ($dir<0){
            //движение вниз
            //у элемента предшествующего текущему нужно увеличить порядковый номер
            $sql = "UPDATE {$table}
                    SET ordering = ordering+1
                    WHERE ordering = ({$current}-1)
                    LIMIT 1";
            $this->inDB->query($sql);
        }

        $sql    = "UPDATE {$table}
                   SET ordering = ordering {$sign} {$step}
                   WHERE id={$cat_id}";
        $this->inDB->query($sql);

        return true;
    }
    
    public function showItem($item, $is_show, $type='objekt'){
        $table = '`cms_poster_objekts`';
        if($type == 'event'){ $table = '`cms_poster_events`'; }
        if($item){
            if(is_array($item)){
                 $in = implode(',', $item);
                 $where = "id IN ({$in})";
            }else{
                $where = "id = '{$item}'";
            }
        }else{ $where = "1=0"; }
        
        $flag = $is_show ? 1 : 0;
        
        $sql    = "UPDATE {$table}
                   SET published = {$flag}
                   WHERE {$where}";
        $this->inDB->query($sql);

        return true;

    }
    
    public function moveItemsOffset($items, $cat_id, $offset, $type='objekt'){


    }
    
    public function deleteItems($items, $type='objekt'){
           if(!$items){ return false; }
           $table = '`cms_poster_objekts`';
           $cat = 'obj_';
           if($type == 'event'){
             $table = '`cms_poster_events`';
             $cat = '';
          }
           
           if(is_array($items)){
              $in = implode(',', $items);
              $where = " IN ({$in})";
           }else{
              $where = " = '{$items}'";
           }

            //удаляем фото
            $inCore = cmsCore::getInstance();
            $inCore->includeFile('components/poster/includes/postercore.php');
            $sql="SELECT id
                  FROM {$table}
                  WHERE id{$where}";
            $result = $this->inDB->query($sql);
            $copy_items = array();
            if($this->inDB->num_rows($result)){
                $inCore->loadLib("tags");
                while($item=$this->inDB->fetch_assoc($result)){
                        $copy_items[] = $item;
                }
                foreach($copy_items as $key=>$value){
                    removeDirectory(PATH.'/images/poster/small/'.$cat.$value['id']);
                    removeDirectory(PATH.'/images/poster/medium/'.$cat.$value['id']);
                    //удаляем комментарии
                    $inCore->deleteComments($type, $value['id']);
                    if($type == 'event'){
                        cmsClearTags('posterevent', $value['id']);
                    }
                }
            }
            //удаляем с базы
            $sql_1="DELETE
                    FROM {$table}
                    WHERE id{$where}";
            $this->inDB->query($sql_1);
            //удаляем привязки
            if($type == 'objekt'){
               $bind_where = 'objekt_id'.$where;
            }else{
               $bind_where = 'event_id'.$where;
            }
            $sql_2 = "DELETE
                      FROM `cms_poster_bind`
                      WHERE {$bind_where}";
            $this->inDB->query($sql_2);

    }
    
    public function deleteCategory($cat_id, $type='objekt'){
            if(!$cat_id){ return false; }

           $cat_table = '`cms_poster_objcats`';
           $table = '`cms_poster_objekts`';
           $cat = 'obj_';
           $bind_where = 'objekt_id';
           if($type == 'event'){
             $cat_table = '`cms_poster_eventcats`';
             $table = '`cms_poster_events`';
             $cat = '';
             $bind_where = 'event_id';
          }
          //удаляем категорию
          $sql = "DELETE
                  FROM {$cat_table}
                  WHERE id='{$cat_id}'";
          $this->inDB->query($sql);
          //выбираем удаляемые объекты или мероприятия для удаления фото
          $sql_1 ="SELECT id
                   FROM {$table}
                   WHERE cat_id='{$cat_id}'";
          $result = $this->inDB->query($sql_1);
          //удаляем объекты или мероприятия категории
          $sql_2 = "DELETE
                  FROM {$table}
                  WHERE cat_id='{$cat_id}'";
          $this->inDB->query($sql_2);

        //удаляем фото
         if($this->inDB->num_rows($result)){
            $inCore = cmsCore::getInstance();
            $inCore->includeFile('components/poster/includes/postercore.php');
            $items = array();
             while($item=$this->inDB->fetch_assoc($result)){
               removeDirectory(PATH.'/images/poster/small/'.$cat.$item['id']);
               removeDirectory(PATH.'/images/poster/medium/'.$cat.$item['id']);
               //удаляем комментарии
               $inCore->deleteComments($type, $item['id']);
               $items[] = $item['id'];
             }
             //удаляем привязки
             if(is_array($items)){
              $in = implode(',', $items);
              $where = " IN ({$in})";
            }else{
              $where = " = '{$items}'";
            }
            $bind_where .= $where;
            $sql_3 = "DELETE
                      FROM `cms_poster_bind`
                      WHERE {$bind_where}";
            $this->inDB->query($sql_3);
        }
    }
    
    public function updateRating($item_id, $rating, $votes, $type='objekt'){
          $table = '`cms_poster_objekts`';
           if($type == 'event'){
             $table = '`cms_poster_events`';
          }
          $sql = "UPDATE {$table}
                  SET rating = '{$rating}',
                      rating_votes = '{$votes}'
                  WHERE id = '{$item_id}'";
          $this->inDB->query($sql);
    }
    
    public function getCommentTarget($target, $target_id) {

        $result = array();

        switch($target){

            case 'event': $event = $this->getItemShort($target_id, "{$target}");
                              if (!$event) { return false; }
                              $result['link']  = '/poster/prosmotr/'.$event['cat_seolink'].'/'.$event['seolink'].'.html';
                              $result['title'] = $event['title'];
                              break;
            case 'objekt' :  $objekt = $this->getItemShort($target_id, "{$target}");
                               $result['link'] = '/poster/prosmotr/zavedenija/'.$objekt['cat_seolink'].'/'.$objekt['seolink'].'.html';
                              $result['title'] = $objekt['title'];
                              break;
        }

        return ($result ? $result : false);

    }
    
    public function updateWhoGoes($who_goes, $event_id){
         $who_goes_str = array();
         $who_goes_str = implode(',', $who_goes);
         $sql = "UPDATE `cms_poster_events`
                 SET who_goes = '{$who_goes_str}'
                 WHERE id = '{$event_id}'";

         $this->inDB->query($sql);
    }
    
    public function checkTitle($title, $cat_id, $type='objekt'){
         $title = trim($title);
         $table = '`cms_poster_objekts`';
           if($type == 'event'){
             $table = '`cms_poster_events`';
          }

          $sql = "SELECT `id`
                  FROM {$table}
                  WHERE `title` LIKE '{$title}' AND cat_id = '{$cat_id}'";
                  
          $result = $this->inDB->query($sql);
          if($this->inDB->num_rows($result)){
              return true;
          }else{
              return false;
          }
    }
    
    public function getMapsItem($item_id){
           $sql = "SELECT i.id, i.title, i.shortdesc, i.description,i.contacts, m.addr_city,
                   m.addr_prefix, m.addr_street, m.addr_house
                   FROM `cms_map_items` i
                   LEFT JOIN `cms_map_markers` m ON m.item_id = i.id
                   WHERE i.id = '{$item_id}'
                   LIMIT 1";
           $result = $this->inDB->query($sql);
           if(!$this->inDB->num_rows($result)){return false;}
           $item = array();
           $item = $this->inDB->fetch_assoc($result);
           return $item;
    }
    
    //задача CRON для отправки уведомлений
    public function sendNotices(){

          //получаем конфиг афиши
          $inCore = cmsCore::getInstance();
          $inUser = cmsUser::getInstance();
          $inConf = cmsConfig::getInstance();
          global $_LANG;
          
          $cfg = array();
          $cfg = $inCore->loadComponentConfig('poster');
          //если в конфиге отключены уведомления, выходим
          if(!$cfg['subscribe']){ return false; }
          $today = date('d-m-Y');
          //берем привязки
          $sql ="SELECT b.id, b.subscribes, e.title, e.seolink, ec.seolink as cat_seolink,
                        o.title as obj_title, o.seolink as obj_seolink, oc.seolink as obj_cat_seolink
                 FROM `cms_poster_bind` b
                 LEFT JOIN `cms_poster_events` e ON e.id = b.event_id
                 LEFT JOIN `cms_poster_eventcats` ec ON ec.id = e.cat_id
                 LEFT JOIN `cms_poster_objekts` o ON o.id = b.objekt_id
                 LEFT JOIN `cms_poster_objcats` oc ON oc.id = o.cat_id
                 WHERE b.start_date <= DATE_FORMAT(NOW(),'%Y-%m-%d') AND b.end_date > DATE_FORMAT(NOW(),'%Y-%m-%d')";

          $result = $this->inDB->query($sql);
          if(!$this->inDB->num_rows($result)){return false;}
          $binds =array();
          while($bind = $this->inDB->fetch_assoc($result)){
               $binds[] = $bind;
           }
           $count = 0;// включаем счетчик
          //foreach($binds as &$bnd){
          //   unserialize($bnd['subscribes']);
          //}
          foreach($binds as $bind){
              //если есть массив уведомлений, перебираем
              if(!empty($bind['subscribes'])){
                  $subscribes = array();
                  $subscribes = unserialize($bind['subscribes']);
                   foreach($subscribes as $user_id=>$dates){
                      $key = array_search($today, $dates);
                      //если в датах есть сегодняшняя, отправляем уведомление
                      if($key !== false){
                         //проверяем счетчик
                         if($count <= $cfg['subs_limit']){
                            //отправка личного сообщения
                            $message = 'Уважаемый пользователь!
                             Сегодня, '.$today.', состоится мероприятие
                             <a href="/poster/prosmotr/'.$bind['cat_seolink'].'/'.$bind['seolink'].'.html">'.$bind['title'].'</a> в заведении
                             <a href="/poster/prosmotr/zavedenija/'.$bind['obj_cat_seolink'].'/'.$bind['obj_seolink'].'">'.$bind['obj_title'].'</a>.
                             Вы получили это сообщение, потому что подписались на напоминание о сеансе.';
                            //отправляем сообщение
                            $msg_id = cmsUser::sendMessage(USER_MASSMAIL, $user_id, $message);
                            //отправляем уведомление о новом сообщении на e-mail
                            if($cfg['subs_mail']){
                                 //проверяем подписку на уведомления
                                 $needmail = $this->inDB->get_field('cms_user_profiles', "user_id='{$user_id}'", 'email_newmsg');

                                 //Проверяем, если юзер онлайн, то уведомление на почту не отправляем.
                                 $isonline = $this->inDB->get_field('cms_online', "user_id='{$user_id}'", 'id');

                                 //если подписан и не онлайн, отправляем уведомление на email
                                 if (!$isonline && $needmail){
                                   $postdate   = date('d-m-Y H:i:s');
                                   $to_email   = $this->inDB->get_field('cms_users', "id='{$user_id}'", 'email');
                                   $from_nick  = "Служба рассылки";
                                   $answerlink = '/users/'.$user_id.'/messages.html';

                                   $letter_path    = PATH.'/includes/letters/newmessage.txt';
                                   $letter         = file_get_contents($letter_path);

                                   $letter= str_replace('{sitename}', $inConf->sitename, $letter);
                                   $letter= str_replace('{answerlink}', $answerlink, $letter);
                                   $letter= str_replace('{date}', $postdate, $letter);
                                   $letter= str_replace('{from}', $from_nick, $letter);
                                   $inCore->mailText($to_email, $_LANG['YOU_HAVE_NEW_MESS'].' - '.$inConf->sitename, $letter);
                                }
                            }
                            //удаляем день, чтобы уведомление не запускалось при последующем запуске задачи CRON
                            unset($subscribes[$user_id][$key]);
                            //обновляем в БД
                            $ser_sub = serialize($subscribes);
                            $sql="UPDATE `cms_poster_bind`
                                  SET subscribes = '{$ser_sub}'
                                  WHERE id = {$bind['id']}";

                             $this->inDB->query($sql);
                             //инкременируем счетчик
                             $count++;
                        }else{
                          return false;//если достигли лимита, выходим
                        }
                      }
                   }
              }
          }

          return true;
    }
    
    /* ==================================================================================================== */
/* ==================================================================================================== */
   //
   // этот метод вызывается компонентом comments при создании нового комментария
   //
   // метод должен вернуть 0 или 1
   //
   public function getVisibility($target, $target_id) {

        $is_hidden = 0;

        switch($target){

            case 'event':
                     $table = "`cms_poster_events` i ";
                     $cat_table = "`cms_poster_eventcats` ic ";
                  break;
            case 'objekt':
                     $table = "`cms_poster_objekts` i ";
                     $cat_table = "`cms_poster_objcats` ic ";
                  break;
        }
        
        if(!$table || !$cat_table || !is_numeric($target_id)){
           return $is_hidden;
        }
        
        $sql="SELECT ic.access_list
              FROM {$table}
              LEFT JOIN {$cat_table} ON ic.id=i.cat_id
              WHERE i.id = '{$target_id}'
              LIMIT 1 ";
        $result = $this->inDB->query($sql);
        if(!$this->inDB->num_rows($result)){return $is_hidden;}
        $item = array();
        $item = $this->inDB->fetch_assoc($result);
        //если непустой  access_list, то комментарии не показывать
        if(!empty($item['access_list'])){
            $is_hidden = 1;
        }

        return $is_hidden;

    }
/* ==================================================================================================== */
/* ==================================================================================================== */

}//class
?>
