<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

$_LANG['POSTER']                   ='Афиша';
$_LANG['OBJEKT']                   ='Заведение';
$_LANG['EVENT']                    ='Мероприятие';
$_LANG['EVENTS']                   ='Мероприятия';
$_LANG['SHORT_EVENTS']             ='меропр';
$_LANG['OBJEKTS']                  ='Заведения';
$_LANG['SESSIONS']                 ='Сеансы';
$_LANG['SCHEDULE']                 ='Расписание';
$_LANG['SCHEDULE_TODAY']           ='сегодня';
$_LANG['TOMORROW']                 ='Завтра';

$_LANG['SELECT_CATEGORY']         ='Выбрать категорию';
$_LANG['NO_PERM_FOR_VIEW']        ='Нет прав для просмотра';
$_LANG['NO_PERM_FOR_VIEW_TEXT']   ='У вас нет прав для просмотра этого материала.';
$_LANG['NO_PERM_FOR_VIEW_RULES']  ='Обратитесь к администрации сайта для получения доступа, либо зарегистрируйтесь.';
$_LANG['ACCESS_DENIED']            ='Доступ запрещен!';
$_LANG['CREATE_OBJEKT_ACCESS_DENIED'] ='У вас недостаточно прав для добавления заведения.
Обратитесь к администратору';
$_LANG['EDIT_OBJEKT_ACCESS_DENIED']  ='Вы не хозяин заведения и не можете редактировать его. Обратитесь к
администратору';
$_LANG['NO_CATEGORY']              ='Не выбрана категория';
$_LANG['CREATE_OBJEKT']            ='Добавление заведения';
$_LANG['EDIT_OBJEKT']              ='Редактирование заведения';
$_LANG['OBJEKT_TITLE']             ='Название заведения';
$_LANG['CITY']                     ='Город';
$_LANG['HOUSE']                    ='Номер дома';
$_LANG['PHONE']                    ='Телефоны';
$_LANG['WEB_SITE']                 ='Веб сайт';
$_LANG['VIDEO_ANNOUNCEMENT_CODE']  ='Код видео анонса';
$_LANG['SHORT_DESCRIPTION']        ='Краткое описание';
$_LANG['FULL_DESCRIPTION']         ='Полное описание';
$_LANG['SAVE']                     ='Сохранить';
$_LANG['CANSEL']                   ='Отмена';
$_LANG['FURTHER']                   ='Дальше';
$_LANG['UPLOAD_PHOTOS']            ='Загрузить фото';
$_LANG['TO_CHOOSE_SOME_FILES']     ='Можно выбрать несколько файлов';
$_LANG['THE_BASIC_PHOTO']          ='Основное фото';
$_LANG['RESOLVED_EXTENSIONS']      ='Разрешенные типы файлов gif, jpg, jpeg, png';
$_LANG['ADDITIONAL_PHOTOS']        ='Дополнительные фото';
$_LANG['REQ_TITLE']                ='Нельзя создать заведение без названия';
$_LANG['EVENT_ALREADY_EXISTS']     ='Мероприятие с таким названием уже существует. Измените название мероприятия или обратитесь к администратору.';
$_LANG['OBJEKT_ALREADY_EXISTS']     ='Заведение с таким названием уже существует. Измените название заведения или обратитесь к администратору.';

$_LANG['UPLOADING_ERROR']          ='Ошибка закачки файла';
$_LANG['INADMISSIBLE_EXTENSION_OF_A_FILE'] ='Недопустимое расширение файла';
$_LANG['OBJEKT_SUCCESSFULLY_ADDED']='Заведение успешно добавлено';
$_LANG['NO_OBJEKT']                ='Не выбрано заведение';
$_LANG['OBJEKT_IS_NOT_RECEIVED']   ='Заведение не получено из базы данных';
$_LANG['NO_PHOTOS']                ='Нет доступных для просмотра фото. Фотографии станут доступны
для редактирования после сохранения.';
$_LANG['DELETE']                   ='Удалить';
$_LANG['TO_MAKE_THE_BASIC']        ='Сделать основным';
$_LANG['OBJEKT_WAS_NOT_CREATED']   ='Не удалось создать заведение';


$_LANG['NO_EVENT']                 ='Не выбрано мероприятие';
$_LANG['EVENT_IS_NOT_RECEIVED']    ='Мероприятие не получено из базы данных';
$_LANG['EDIT_EVENT_ACCESS_DENIED'] ='Вы не автор мероприятия и не можете редактировать его. Обратитесь к
администратору';
$_LANG['CREATE_EVENT_ACCESS_DENIED']='У вас недостаточно прав для добавления мероприятия.
Обратитесь к администратору';
$_LANG['CREATE_EVENT']              ='Добавление мероприятия';
$_LANG['EDIT_EVENT']                ='Редактирование мероприятия';
$_LANG['EVENT_SUCCESSFULLY_ADDED']  ='Мероприятие успешно добавлено';
$_LANG['EVENT_TITLE']               ='Название мероприятия';
$_LANG['VIDEO_CODE']                ='Код видеоанонса';
$_LANG['RESOLVED_VIDEOHOSTINGS']    ='Разрешается вставлять код с видеохостингов YouTube, RuTube, ВКонтакте';
$_LANG['INSERT_VIDEO_CODE']         ='Вставьте код видео';
$_LANG['EVENT_WAS_NOT_CREATED']     ='Не удалось создать мероприятие';

$_LANG['BINDING']                   ='Привязка заведения и мероприятия.';
$_LANG['BINDING_OF_OBJEKT']         ='Привязка заведения';
$_LANG['BINDING_OF_EVENT']          ='Привязка мероприятия';
$_LANG['SELECT_EVENT']              ='Выбрать мероприятие:';
$_LANG['SELECT_OBJEKT']             ='Выбрать заведение:';
$_LANG['ADD_DATE']                  ='Добавление даты';
$_LANG['START_DATE']                ='Начальная дата';
$_LANG['END_DATE']                  ='Конечная дата';
$_LANG['ADD_SESSION']               ='Добавить сеанс';
$_LANG['PRICE']                     ='Цена';
$_LANG['NOTE']                      ='Примечание';
$_LANG['TO_CONTINUE']               ='Продолжить';
$_LANG['INSTALLATION_OF_SESSIONS']  ='Установка сеансов';
$_LANG['START']                     ='Начало';
$_LANG['END']                       ='Конец';
$_LANG['DAY']                       ='День';
$_LANG['IDENTICAL_SESSIONS_IN_ALL_DAYS']='Одинаковые сеансы во все дни';
$_LANG['IT_WAS_NOT_POSSIBLE_TO_ADD_A_BINDING'] ='Не удалось создать привязку';
$_LANG['THE_BINDING_IS_SUCCESSFULLY_CREATED'] ='Привязка успешно создана';
$_LANG['WRONG_RANGE_OF_DATE']       ='Задан неправильный диапазон даты. Конечная дата
должна быть больше начальной даты';
$_LANG['THE_ADHERED_EVENTS']        ='Привязанные мероприятия';
$_LANG['THE_ADHERED_OBJEKTS']       ='Привязанные заведения';
$_LANG['SESSIONS_ON_DAYS']          ='Сеансы по дням';
$_LANG['EVERY_DAY']                 ='Каждый день';
$_LANG['TO_EDIT_ONLY_SESSIONS']     ='Редактировать сеансы';
$_LANG['ADDRESS']                   ='Адрес';
$_LANG['THERE_ARE_NO_EVENTS_FOR_DATE']='Нет мероприятий, привязанных к данной дате.';
$_LANG['TODAY']                     ='Сегодня';
$_LANG['ARCHIVE']                   ='Архив';
$_LANG['SOON']                      ='Скоро';
$_LANG['MORE_ABOUT_EVENT']          ='Подробнее о мероприятии';
$_LANG['MORE_ABOUT_OBJEKT']         ='Подробнее о заведении';
$_LANG['PLACE_OF_CARRYING_OUT']     ='Место проведения :';
$_LANG['VOTES']                     ='голосов';
$_LANG['RATING']                    ='Рейтинг';

$_LANG['COMMENTS']                  ='Отзывы';
$_LANG['ADD_COMM']                  ='Добавить отзыв';
$_LANG['RSS_COMM']                  ='RSS-лента отзывов';
$_LANG['NOT_COMMENT_TEXT']          ='Нет отзывов. Ваш будет первым!';
$_LANG['WHO_GO']                    ='Кто пойдет';
$_LANG['NOBODY_HAS_JOINED']         ='Пока никто не присоединился.';
$_LANG['I_GO']                      ='Я пойду!';
$_LANG['NOT_GO']                    ='Не пойду!';
$_LANG['TO_BIND_OBJEKT']            ='Привязать заведение';
$_LANG['TO_BIND_EVENT']             ='Привязать мероприятие';
$_LANG['TO_EDIT_BINDS']             ='Редактировать привязки';
$_LANG['DELETE_OBJEKT_ACCESS_DENIED'] ='У вас недостаточно прав для удаления заведения!';
$_LANG['DELETE_EVENT_ACCESS_DENIED'] ='У вас недостаточно прав для удаления мероприятия!';
$_LANG['THE_OBJEKT_IS_SUCCESSFULLY_REMOVED'] = 'Заведение успешно удалено';
$_LANG['THE_EVENT_IS_SUCCESSFULLY_REMOVED'] = 'Мероприятие успешно удалено';
$_LANG['DELETING_OF_OBJEKT']        ='Удаление заведения';
$_LANG['DELETING_OF_EVENT']         ='Удаление мероприятия';
$_LANG['TO_REMOVE_OBJEKT']          = 'Удалить заведение';
$_LANG['TO_REMOVE_EVENT']           = 'Удалить мероприятие';
$_LANG['THERE_ARE_NO_OBJECTS_IN_A_CATEGORY'] ='Нет заведений в категории.';
$_LANG['THERE_ARE_NO_EVENTS_IN_A_CATEGORY'] ='Нет мероприятий в категории.';
$_LANG['TO_ADD_OBJEKT']             ='Добавить заведение';
$_LANG['TO_ADD_EVENT']              ='Добавить мероприятие';
$_LANG['ALL_EVENTS_IN_A_CATEGORY']  ='Все мероприятия в категории';
$_LANG['LAST_MONTH']                ='предыдущий месяц';
$_LANG['NEXT_MONTH']                ='следующий месяц';
$_LANG['GANRES']                    ='Жанры';
$_LANG['NO_OPPOSITE_ID']            ='Для привязки нужно создать хотя бы одно мероприятие и одно заведение.';
$_LANG['DELETE_DAY']                ='Удалить день';
$_LANG['CHANGE_OWNER_OF_OBJEKT']    ='Сменить хозяина заведения:';
$_LANG['CHANGE_AUTHOR_OF_EVENT']    ='Сменить автора мероприятия:';

$_LANG['NEW_EVENTS']                ='Афиша.Новые мероприятия.';
$_LANG['RSS_OF_A_CATEGORY']         ='RSS лента категории';
$_LANG['RSS_OF_ALL_A_CATEGORY']     ='RSS лента всех категорий';
$_LANG['month']                     ='Месяц';
$_LANG['week']                      ='Неделя';

$_LANG['NO_CATEGORIES_TABLE_IN_MAPS'] = 'Нет таблицы категорий в компоненте Инстант Мапс. Проверьте установлен ли компонент.';
$_LANG['NO_ITEMS_TABLE_IN_MAPS']    = 'Нет таблицы объектов в компоненте Инстант Мапс. Проверьте установлен ли компонент.';
$_LANG['NO_ITEMS_IN_MAPS']          = 'Нет объектов в категории';
$_LANG['NO_CATEGORIES_IN_MAPS']     = 'Нет категорий в каталоге Инстант Мапса';
$_LANG['ADD_FROM_MAPS']             = 'Добавить заведение с Инстант Мапс';
$_LANG['SELECT_MAPS_CATEGORY']      = 'Выберите категорию объекта Инстант Мапс';
$_LANG['SELECT_MAPS_ITEM']          = 'Выберите объект Инстант Мапса';

$_LANG['ALL_TODAY']                ='Все мероприятия сегодня';
$_LANG['ALL_SOON']                 ='Все мероприятия скоро';
$_LANG['ALL_ARCHIVE']              ='Архив всех мепроприятий';
$_LANG['ALL_EVENTS']                ='Все мероприятия';

$_LANG['TO_SEE_THE_LAST_SESSIONS'] ='Посмотреть прошедшие сеансы';
$_LANG['TO_HIDE_THE_LAST_SESSIONS']='Скрыть прошедшие сеансы';
$_LANG['SESSIONS_LAST_DAYS']       = 'Сеансы прошедших дней';
$_LANG['THERE_ARE_NO_SESSIONS_LAST_DAYS'] = 'Нет сеансов в прошедшие дни';
$_LANG['THERE_ARE_NO_SESSIONS_REPLACE_DAY']='Нет сеансов. Выберите другой день.';
$_LANG['DAYS']                     ='Дни';
$_LANG['ALL_DAYS']                     ='Все дни';
$_LANG['NO_SESSIONS']              ='Нет сеансов';

$_LANG['TO_SUBSCRIBE']             ='Подписаться';
$_LANG['YOU_HAVE_NEW_MESS']        ='У Вас новое сообщение!';

$_LANG['TO_REMOVE_A_BIND']      ='Удалить привязку';
$_LANG['QUESTION_TO_REMOVE_A_BIND']      ='Удалить привязку?';
$_LANG['ACCESS_FOR_REMOVAL_IS_FORBIDDEN'] ='Доступ для удаления запрещен!';
$_LANG['NOT_BINDS']                ="Нет привязок";
?>
