<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                component "Poster", module "Calendar"                        //
//                       written by Marat Fatikhov                             //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

  header('Content-Type: text/html; charset=UTF-8');
  header('Cache-Control: no-cache');

  define("VALID_CMS", 1);
  define('PATH', $_SERVER['DOCUMENT_ROOT']);

  include(PATH.'/core/cms.php');

   $inCore = cmsCore::getInstance();
   
   $inCore->loadClass('db');
   $inDB   = cmsDatabase::getInstance();

   cmsCore::loadLanguage('components/poster');
   global $_LANG;
  //Загрузка настроек афиши
	$com_cfg = $inCore->loadComponentConfig('poster');

   $inCore->includeFile('components/poster/includes/postercore.php');
   
   //проверяем входные параметры
   $period = $inCore->request('period', 'str' , '');
   if(!$period){ return false; }

   $period_arr = explode('_', $period);
   $start_date = $period_arr[0];

   $calendar = getCalendar('', $start_date);//array

   //передаем в шаблон
    $smarty = $inCore->initSmarty('modules', 'mod_poster_calendar.tpl');
    $smarty->assign('calendar', $calendar);
    $smarty->assign('date', strtotime(date('d-m-Y')));
    $smarty->assign('LANG', $_LANG);
    $smarty->assign('com_cfg', $com_cfg);
    $smarty->assign('is_ajax', true);
    $smarty->display('mod_poster_calendar.tpl');

   return true;

?>
