<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                component "Poster", module "Calendar"                        //
//                       written by Marat Fatikhov                             //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

function mod_poster_calendar($module_id){

   $inCore = cmsCore::getInstance();
   $inDB   = cmsDatabase::getInstance();
   $inUser = cmsUser::getInstance();

   cmsCore::loadLanguage('components/poster');
   global $_LANG;
  //Загрузка настроек афиши
	$com_cfg = $inCore->loadComponentConfig('poster');
	// Проверяем включен ли компонент
	if(!$com_cfg['component_enabled']) { return false; }

   $inCore->includeFile('components/poster/includes/postercore.php');
   
   $calendar = getCalendar(date('d-m-Y'));//array
   
   //передаем в шаблон
    $smarty = $inCore->initSmarty('modules', 'mod_poster_calendar.tpl');
    $smarty->assign('calendar', $calendar);
    $smarty->assign('date', strtotime(date('d-m-Y')));
    $smarty->assign('LANG', $_LANG);
    $smarty->assign('com_cfg', $com_cfg);
    $smarty->display('mod_poster_calendar.tpl');

   return true;
}// module
?>
