{*==================================================================================*}
{*===============         Главная - события по датам       =========================*}
{*==================================================================================*}
{add_css file='components/poster/css/poster.css'}
{add_css file='components/poster/js/jquery.ui.stars-3.0/jquery.ui.stars.css'}
{add_js file='components/poster/js/jquery.ui.stars-3.0/jquery-ui-1.8.16.custom.min.js'}
{add_js file='components/poster/js/jquery.ui.stars-3.0/jquery.ui.stars.js'}
<table width="100%" cellpadding="5" cellspacing="0" border="1px">
  <tr>
    {if $cfg.menu_left}
    <td rowspan="100" width="180px" valign="top">
       <!-- боковое меню -->
    {if $cfg.menu_up}
       <div class="calendar" style="margin-top:25px; text-align:left;">
         {include file="$path/templates/_default_/components/com_poster_lateralmenu.tpl"}
       </div>
       <div  class="calendar" style="margin-top:25px;">
         {include file="$path/templates/_default_/components/com_poster_calendar.tpl"}
       </div>
    {else}
        <div  class="calendar" style="margin-top:25px;">
         {include file="$path/templates/_default_/components/com_poster_calendar.tpl"}
       </div>
        <div class="calendar" style="margin-top:25px; text-align:left;">
         {include file="$path/templates/_default_/components/com_poster_lateralmenu.tpl"}
       </div>
    {/if}
    </td>
    {/if}
    <td rowspan="100">
    </td>
    <td colspan="2" height="30px">
      <!-- Заголовок -->
    {if $orient == 'today'}
      {if $all}
         <div><h1 class="con_heading">{$LANG.ALL_TODAY}</h1></div>
      {elseif $category.cat_config.today && $category.cat_config.show_today}
         <div><h1 class="con_heading">{$category.cat_config.today}</h1></div>
      {/if}
    {/if}
    {if $orient == 'soon'}
      {if $all}
         <div><h1 class="con_heading">{$LANG.ALL_SOON}</h1></div>
      {elseif $category.cat_config.soon && $category.cat_config.show_soon}
         <div><h1 class="con_heading">{$category.cat_config.soon}</h1></div>
      {/if}
    {/if}
    {if $orient == 'archive'}
      {if $all}
         <div><h1 class="con_heading">{$LANG.ALL_ARCHIVE}</h1></div>
      {elseif $category.cat_config.archive && $category.cat_config.show_archive}
         <div><h1 class="con_heading">{$category.cat_config.archive}</h1></div>
      {/if}
    {/if}
    </td>
  </tr>
  <tr>
    <td valign="top" align="left">
    <!-- выбор города  -->
    {if !$cfg.one_city  && $cities }
    <div class="city_select">
       <form name="selform" action="{$req_uri}" method="post">
       <select name="city" onchange="javascript:document.selform.submit();">
         <option value="">Выбрать город
         {foreach key=c item=city_opt from=$cities}
         <option value="{$city_opt}" {if $city_opt|lower == $city|lower}selected='selected'{/if}>{$city_opt}
         {/foreach}
       </select>
       </form>
    </div>
    {/if}
    <!-- Ссылки "Все мероприятия" и "Добавить мероприятие" -->
    {if !$all}
     <div class="blog_comments" style="float:right; margin-right:20px;">
             <a href="/poster/categorii/{$category.seolink}.html">{$LANG.ALL_EVENTS_IN_A_CATEGORY}</a>
          {if $is_editor}
            | <a href="/poster/{$category.id}/newevent.html">{$LANG.TO_ADD_EVENT}</a>
          {/if}
     </div>
    {/if}
    <!-- основное содержание -->
    {if $message}
    <table width="100%" cellpadding="5" cellspacing="0">
      <tr><td>
        {$message}
      </td></tr>
    </table>
    {/if}
    {foreach key=i item=event from=$events}
    {if $event.is_bind || $orient == 'soon' || $orient == 'archive'}
    <table width="100%" cellpadding="5" cellspacing="0">
      <tr>
        <td width="100px">
        <!-- фото-->
        {if $event.basic_photo}
           <img src="/images/poster/small/{$event.id}/{$event.basic_photo}">
        {else}
           <img src="/components/poster/images/no_pic.png">
        {/if}
        </td>
        <td valign="top" align="left">

             <table width="100%" cellpadding="5" cellspacing="0" style="margin-left:15px; margin-top:-20px;">
               <tr>
                 <td>
                   <h3><a href="/poster/prosmotr/{$event.cat_seolink}/{$event.seolink}.html">{$event.title}</a><h3>
                 </td>
                 <td width="120px">
                 <!-- рейтинг-->
			                  <div class="rating-L" style="margin-top:15px;">
                           <strong class="rating_title">{$LANG.RATING}: </strong>
				                   <div class="rat">
					                   <select name="rate">
                                {foreach key=num item=desc from=$rate_options}
                                   <option value="{$num}" {if $num == $event.rating|round} selected {/if}>{$desc}</option>
                                {/foreach}
					                   </select>
				                  </div>
                        </div>
                        <div style="margin-top:15px;">
                         <span style="color:gray"><small>{$event.rating} / {$LANG.VOTES}:{$event.rating_votes}</span></small>
                        </div>
                 </td>
               </tr>
               <tr>
                 <td colspan="2">
                  {$event.shortdesc}
                 </td>
               </tr>
               <!-- теги(жанры) -->
               <tr>
                 <td colspan="2">
                  {$event.tag_bar}
                 </td>
               </tr>
               <tr>
                 <td colspan="2">
                  <a href="/poster/prosmotr/{$event.cat_seolink}/{$event.seolink}.html">
                     {if $category.cat_config.more}{$category.cat_config.more}{else}{$LANG.MORE_ABOUT_EVENT}{/if}
                  </a>
                 </td>
               </tr>
               <tr>
                 <td>
                 <strong>
                 {if $category.cat_config.place}
                    {$category.cat_config.place}
                 {else}
                    {$LANG.PLACE_OF_CARRYING_OUT}
                 {/if}
                 </strong>
                 {foreach key=b item=bind from=$event.binds}
                   <a href="/poster/prosmotr/zavedenija/{$bind.objekt_cat_seolink}/{$bind.objekt_seolink}.html">
                      {$bind.objekt_title}
                   </a>
                   {if $b <$event.count}, {/if}
                 {/foreach}
                 </td>
                 <td>
                   <a href="/poster/prosmotr/{$event.cat_seolink}/{$event.seolink}.html#comments">{$LANG.COMMENTS}</a>({$event.comments_count})
                 </td>
               </tr>
             </table>

        </td>
      </tr>
      <tr><td colspan="3"><hr></td></tr>
    </table>
    {/if}
    {/foreach}
    {$pagebar}
    <!-- RSS ссылки -->
    <div class="blog_comments" style="float:right; margin-right:20px;">
      {if $cfg.rss_one && !$all}
         <a href="/rss/poster/{$category.id}/feed.rss" title="{$LANG.RSS}">{$LANG.RSS_OF_A_CATEGORY}</a>&nbsp;|&nbsp;
      {/if}
      {if $cfg.rss_all}
         <a href="/rss/poster/0/feed.rss" title="{$LANG.RSS}">{$LANG.RSS_OF_ALL_A_CATEGORY}</a>
      {/if}
    </div>
    </td>
    {if !$cfg.menu_left}
    <td rowspan="100" width="180px" valign="top">
       <!-- боковое меню -->
    {if $cfg.menu_up}
       <div class="calendar" style="margin-top:25px; text-align:left;">
         {include file="$path/templates/_default_/components/com_poster_lateralmenu.tpl"}
       </div>
       <div  class="calendar" style="margin-top:25px;">
         {include file="$path/templates/_default_/components/com_poster_calendar.tpl"}
       </div>
    {else}
        <div  class="calendar" style="margin-top:25px;">
         {include file="$path/templates/_default_/components/com_poster_calendar.tpl"}
       </div>
        <div class="calendar" style="margin-top:25px; text-align:left;">
         {include file="$path/templates/_default_/components/com_poster_lateralmenu.tpl"}
       </div>
    {/if}
    </td>
    {/if}
  </tr>
</table>
{if $cfg.thanks}
<div align="right">
  <a href="http://neftekamcy.ru" style="text-decoration:none"><font color="#eeeeee">Нефтекамск</font></a>
</div>
{/if}
{literal}
<script type="text/javascript">
			// Create stars
			$(".rat").stars({
        inputType: "select",
        disabled: true,
 			});
</script>
{/literal}
